<?php
namespace Claromentis\Gallery\Search\Application;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_ab9bcf0e2fd858c1730f35533e9491e" . "9" => base64_decode("Z2FsbGVy" . "eV9pbWFn" . "ZQ=="), "_7f4bab7268c708fce91f28" . "cff921fb7e" => base64_decode("YXBwX" . "2dhbG" . "xlcnk" . "="), "_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_bcae22e258f1cb3c4479" . "47b395d2e5f9" => base64_decode("Z2FsbGVye" . "V9nYWxsZX" . "J5"), "_99cb7d6393e8f6b8" . "b9efffb220b7f444" => base64_decode("bWVudS5hcHAuZ2FsbGV" . "yeQ=="));
use Claromentis\Gallery\GalleryApplication as GalleryGalleryApplication;
use Claromentis\Gallery\Search\GallerySearchGallery;
use Claromentis\Gallery\Search\GallerySearchImage;
use Claromentis\Search\Application\ApplicationInterface;
use Claromentis\Search\Application\CacheableInterface;
use Claromentis\Search\Application\IconInterface;




class GalleryApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    
    
    
    
    
    
    
    
    public function GetTypes()
    {
        $_343a395319323dd7609bcbc465b4d034 = [$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bcae22e258f1cb3c447947b395" . "d2e5f9"] => function () {
            return new GallerySearchGallery();
        }, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_ab9bcf0e2fd858c17" . "30f35533e9491e9"] => function () {
            return new GallerySearchImage();
        }];
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_99cb7d6393e8f6b8b9ef" . "ffb220b7f444"]);
    }
    
    
    
    
    
    
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7f4bab7268c708fce" . "91f28cff921fb7e"];
    }
    public function GetIcon() : string
    {
        return GalleryGalleryApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_bcae22e" . "258f1cb3" . "c447947b" . "395d2e5f" . "9"]];
    }
}